PYDOCTOR(1)

NAME
pydoctor - API documentation generator for Python

SYNOPSIS
pydoctor [options]

DESCRIPTION
Pydoctor is an API documentation generator that works primarily by static analysis.

It was written primarily to replace epydoc for the purposes of the Twisted project as epydoc has difficulties with zope.interface, but can be used for non-Zope Python code as well.

OPTIONS

-h, --help
    show this help message and exit

-c CONFIGFILE, --config=CONFIGFILE
    Use config from this file (any command lineoptions override settings from the file).

-p INPUTPICKLE, --input-pickle=INPUTPICKLE
    Load the system from this pickle file (default: none, a blank system is created).

-o OUTPUTPICKLE, --output-pickle=OUTPUTPICKLE
    Save the system to this pickle file (default: none, the system is not saved by default).

--extra-system=SYS:URLPREFIX
    Look for objects in this system to. Links to these objects will have URLPREFIX prepended to them.

--system-class=SYSTEMCLASS
    A dotted name of the class to use to make a system.

--project-name=PROJECTNAME
    The project name, appears in the html.

--project-url=PROJECTURL
    The project url, appears in the html if given.

--project-base-dir=PROJECTBASEDIRECTORY
    Absolute path to the base directory of the project. Source links will be computed based on this value.

--testing
    Don't complain if the run doesn't have any effects.

--pdb
    Like py.test's --pdb.

--make-html
    Produce html output.

--server
    Serve HTML on a local server.

--server-port=SERVER_PORT
    The port for --server to use.

--local-only
    Bind the server to localhost only.

--facing-path=FACING_PATH
    Set up a VHostMonster, with all the confusion that implies.

--edit
    When serving HTML, allow editing.

--no-check
    When serving HTML and allow editing, don't check all docstrings first.

--add-package=PACKAGEDIR
    Add a package to the system. Can be repeated to add more than one package.

--add-module=MODULE
    Add a module to the system. Can be repeated.

--prepend-package=PREPENDEDPACKAGE
    Pretend that all packages are within this one. Can be used to document part of a package.

--resolve-aliases
    This updates references to classes imported from a module into which they were imported to references to where they are defined.

--abbreviate-specialcase=ABBREVMAPPING
    This is a comma seperated list of key=value pairs. Where any key corresponds to a module name and value is the desired abbreviation. This can be used to resolve conflicts with abbreviation where you have two or more modules that start with the same letter. Example: twistedcaldav=tcd.

--docformat=DOCFORMAT
    Which epydoc-supported format docstrings are assumed to be in.

--html-subject=HTMLSUBJECTS
    The fullName of object to generate API docs for (default: everything).

--html-summary-pages
    Only generate the summary pages.

--html-write-function-pages
    Make individual HTML files for every function and method. They're not linked to in any pydoctorgenerated HTML, but they can be useful for third-party linking.

--html-output=HTMLOUTPUT
    Directory to save HTML files to (default 'apidocs')

--html-writer=HTMLWRITER
    Dotted name of html writer class to use (default 'pydoctor.nevowhtml.NevowWriter', requires Divmod Nevow to be installed).

--html-viewsource-base=HTMLSOURCEBASE
    This should be the path to the trac browser for the top of the svn checkout we are documenting part of.

--html-use-sorttable
    Use the sorttable JS library to make tables of package, module and class contents sortable

--html-use-splitlinks
    Generate (unobstrusive) JavaScript to allow class methods to be shown either in one table per base class or in one big table.

--html-shorten-lists
    Generate (unobstrusive) JavaScript to hide some of the entries in long lists of e.g. subclasses.

--livecheck
    Import and examine the modules too. XXX not working right now

-v, --verbose
    Be noisier. Can be repeated for more noise.

-q, --quiet
    Be quieter.

--auto
    Automagic mode: analyze all modules and packages in the current working directory and run a local server that allows examination and editing of the docstrings.

--verbose-about=stage
    Be noiser during a particular stage of generation.

SEE ALSO
Homepage: http://launchpad.net/pydoctor

Other Python API documentation generators: epydoc(1), pydoc(1)

LICENSE
pydoctor is licensed under the simplified BSD license.

AUTHORS
pydoctor was written and is maintained by Michael Hudson.

This manual page was written by Jelmer Vernooij <jelmer@debian.org>, for the Debian project (and may be used by others).